Subject: Re: linux-next: manual merge of the apparmor tree with the security tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 6 Nov 2023 10:14:34 +1100

Hi Paul,

[Sorry for the slow reply]

On Mon, 30 Oct 2023 17:04:01 -0400 Paul Moore <[email-masked]> wrote:
>
> On Mon, Oct 30, 2023 at 4:46 PM Stephen Rothwell <[email-masked]> wrote:
> >
> > On Mon, 30 Oct 2023 12:52:50 -0400 Paul Moore <[email-masked]> wrote:  
> > >
> > > On Sun, Oct 29, 2023 at 5:09 PM John Johansen <[email-masked]> wrote:  
> > > >
> > > > is part of the Three basic syscalls series, the plan is still to have that
> > > > series bake in next for a full cycle?  
> > >
> > > Yes, that's still the plan.  Once v6.7-rc1 is out I'll rebase the LSM
> > > syscall patches and I expect the vast majority of these conflicts to
> > > disappear, although I'm sure we'll pick up some new ones with the rest
> > > of the v6.7-rcX cycle :)  
> >
> > These patches should not be in linux-next until after v6.7-rc1.  
> 
> What if we wanted additional testing beyond the typical?  Do you not
> support that?

No, I try hard not to.  It just complicates things when I and others
have to cope with conflicts and build problems caused by
patches/features destined for next+1 while trying to stabilise the
current/next release.

Sometimes it happens that a feature slips after being added to -next,
but please don't do it deliberately.
-- 
Cheers,
Stephen Rothwell